var alphabet = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';

function b64decode(encoded) {
    decoded = '';
    charc = 0;
    bits = 0;

    for (i = 0; i < encoded.length; i++) {
        ch = encoded.charAt(i);

        if (ch == '=') {
            break;
        }

        pos = alphabet.indexOf(ch);

        if (ch > 0x7f || pos < 0) {
            continue;
        }

        charc++;
        bits += pos;

        if (charc == 4) {
            decoded += String.fromCharCode(bits >> 16) + String.fromCharCode((bits >> 8) & 0xff) + String.fromCharCode(bits & 0xff);
            charc = 0;
            bits = 0;
        }
        else {
            bits <<= 6;
        }
    }

    if (charc == 2) {
        decoded += String.fromCharCode(bits >> 10); 
    }
    else if (charc == 3) {
        decoded += String.fromCharCode(bits >> 16) + String.fromCharCode((bits >> 8) & 0xff);
    }

    return decoded;
}

function display_email(str) {
    email = b64decode(str);

    document.write('<a href="mailto:' + encodeURI(email) + '">' + email + '</a>');
}
